//---------------------------------------------------------------------------

#include <vcl.h>
#include "Procs.h"
#include <iostream.h>
#include <conio.h>
#include "Vox.h"
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", MainForm);
USEFORM("Progress.cpp", ProgressForm);
USEFORM("TPlayWavDlg.cpp", PlayWavDlg);
USEFORM("TConvertDlg.cpp", ConvertDlg);
USEFORM("TOverwriteDlg.cpp", OverwriteDlg);
USEFORM("TAboutBox.cpp", AboutBox);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    InitVoxTables();
    OleInitialize(NULL);
//    PCMToVox("d:\\temp\\a000.wav", "d:\\temp\\a0003.vox");
//    return 0;

//    ::Format.wFormatTag = WAVE_FORMAT_PCM;
//    ::Format.nSamplesPerSec = 8000;
//    ::Format.wBitsPerSample = 8;
//    ::Format.nChannels = 1;

/*    if (FindParam("gui"))
        FreeConsole();
    else
        if (ParamCount() < 2)
        {
            Help();
            return 0;
        }*/

/*    try
    {
        ::Format.nSamplesPerSec = GetParamValue("s", 8000);
        if (::Format.nSamplesPerSec < 8000 ||
            ::Format.nSamplesPerSec > 48000) throw AnsiString("s");
        ::Format.wBitsPerSample = GetParamValue("b", 8);
        if (::Format.wBitsPerSample != 8 &&
            ::Format.wBitsPerSample != 16) throw AnsiString("b");
        ::Format.nChannels = GetParamValue("c", 1);
        if (::Format.nChannels != 1 &&
            ::Format.nChannels != 2) throw AnsiString("c");
    }
    catch (AnsiString Param)
    {
        cout << "Invalid value for parameter \"" << Param.c_str() << "\"\n";
        return 0;
    }*/

/*    if (!FindParam("gui"))
    {
        cout << "Converting file format...";
        if (!ConvertWAV(ParamStr(1).c_str(), ParamStr(2).c_str(), &::Format,
            TRUE, TRUE))
            cout << "\nError during converting file format!\n";
        else
            cout << "\nFile format converting completed sucessfully!\n";
        return 0;
    }*/

    try
    {
         Application->Initialize();
         Application->Title = "  WAV ";
         Application->CreateForm(__classid(TMainForm), &MainForm);
                 Application->CreateForm(__classid(TProgressForm), &ProgressForm);
                 Application->CreateForm(__classid(TPlayWavDlg), &PlayWavDlg);
                 Application->CreateForm(__classid(TConvertDlg), &ConvertDlg);
                 Application->CreateForm(__classid(TOverwriteDlg), &OverwriteDlg);
                 Application->CreateForm(__classid(TAboutBox), &AboutBox);
                 Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    catch (...)
    {
         try
         {
             throw Exception("");
         }
         catch (Exception &exception)
         {
             Application->ShowException(&exception);
         }
    }

    OleUninitialize();
    return 0;
}
/*//---------------------------------------------------------------------------
int FindParam(AnsiString Param)
{
    AnsiString t;
    int i = 1, k = ParamCount();
    for (; i < k + 1; i++)
    {
        t = ParamStr(i);
        t.LowerCase();
        if ((t[1] == '-' || t[1] == '/') && (
            (t == "/" + Param) ||
            (t == "-" + Param)))
            return i;
    }
    return 0;
}
//---------------------------------------------------------------------------
void Help()
{
    cout << "ConvertWAV - WAV file format converting utility\n";
    cout << "Copyright (c) 2003 Forte-IT\n\n";
    cout << "Usage:\n";
    cout << "ConvertWAV <src_file> <dest_file> [-gui] [-s X] [-b X] [-c X]\n";
    cout << "\t-s, -b and -c swithes are used to set <dest_file> format (PCM)\n";
    cout << "\t-gui - Run program in GUI mode\n";
    cout << "\t-s   - Set sample rate to X (8000 by default)\n";
    cout << "\t-b   - Set bits per sample to X (8 by default)\n";
    cout << "\t-c   - Set number of channels to X (1  by default)\n";
}
//---------------------------------------------------------------------------
int GetParamValue(AnsiString Param, int DefVal)
{
    int k = FindParam(Param), val;
    if (!k) return DefVal;
    if (k > ParamCount()) throw Param;
    AnsiString t = ParamStr(k + 1);
    try
    {
        val = t.ToInt();
    }
    catch (EConvertError &e)
    {
        throw Param;
    }
    return val;
}
//---------------------------------------------------------------------------
*/
