//----------------------------------------------------------------------------
#ifndef TConvertDlgH
#define TConvertDlgH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include <mmsystem.h>
#include <Dialogs.hpp>
//----------------------------------------------------------------------------
class TConvertDlg : public TForm
{
__published:
	TButton *OKBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
    TGroupBox *GroupBox1;
    TLabel *Label3;
    TComboBox *SampleRateList;
    TRadioButton *RadioButton1;
    TRadioButton *RadioButton2;
    TGroupBox *FileGroupBox;
    TLabel *Label1;
    TLabel *Label2;
    TEdit *SrcFile;
    TButton *BrowseBtn1;
    TEdit *DestFile;
    TButton *BrowseBtn2;
    TGroupBox *FolderGroupBox;
    TLabeledEdit *SaveFolder;
    TButton *BrowseBtn;
    TRadioGroup *Formats;
    TCheckBox *Normalize;
    TCheckBox *UseFilter;
    TLabel *Label4;
    TComboBox *VOXSampleRateList;
    TOpenDialog *OpenDialog;
    TSaveDialog *SaveDialog;
    TComboBox *BitsPerSample;
    TLabel *Label5;
    TLabel *Label6;
    TComboBox *Channels;
    void __fastcall BrowseBtnClick(TObject *Sender);
    void __fastcall OKBtnClick(TObject *Sender);
    void __fastcall RadioButton1Click(TObject *Sender);
    void __fastcall RadioButton2Click(TObject *Sender);
    void __fastcall FormatsClick(TObject *Sender);
    void __fastcall BrowseBtn1Click(TObject *Sender);
    void __fastcall BrowseBtn2Click(TObject *Sender);
private:
public:
    WAVEFORMATEX Format;
    DWORD VoxFreq;
	virtual __fastcall TConvertDlg(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TConvertDlg *ConvertDlg;
//----------------------------------------------------------------------------
extern char PathBuf[MAX_PATH];
#endif
